DROP DOMAIN()

NAME
DROP DOMAIN - remove a domain

SYNOPSIS

DROP DOMAIN name [, ...]  [ CASCADE | RESTRICT ]

DESCRIPTION

DROP DOMAIN will remove a domain. Only the owner of a domain can remove it.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing domain.

CASCADE
    Automatically drop objects that depend on the domain (such as table columns).

RESTRICT
    Refuse to drop the domain if any objects depend on it. This is the default.

EXAMPLES

To remove the domain box:

DROP DOMAIN box;

COMPATIBILITY

This command conforms to the SQL standard.

SEE ALSO
CREATE DOMAIN [create_domain(7)], ALTER DOMAIN [alter_domain(l)]